package com.yunniu.farming.webadmin.service;

import com.alibaba.fastjson.JSONObject;
import com.yunniu.farming.webadmin.model.ManageParams;
import com.yunniu.farming.webadmin.model.Menu;

import java.util.List;
import java.util.Map;

public interface MenuService {


    List<Menu> getMenuByAdminId(String adminId);

    JSONObject getMenuList(ManageParams mps);

    Menu getMenuById(String id);

    List<Menu> getPIdList(String id);

    JSONObject saveMenu(Menu menu);

    List<Menu> getParentMenuList();

    String deleteById(String ids);

    List<Map<String, String>> getAllMenu();

}
